Bug 151667 - New files created with vim have permissions 755
Summary: New files created with vim have permissions 755
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 16:10 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:53:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2005-03-21 16:10:15 UTC
Description of problem:
New files created with vim have permissions 755.

Version-Release number of selected component (if applicable):
vim-enhanced-6.3.066-1
vim-minimal-6.3.066-1
vim-common-6.3.066-1

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. vi foo 
2. :wq
3. dir foo
   -rwxr-xr-x    1 robert   users           0 21. Mär 17:08 foo
  
Actual results:
New files created with vim have permissions 755

Expected results:
The old (and correct) behaviour... ;-)

Comment 1 Karsten Hopp 2005-03-23 14:53:15 UTC
fixed in vim-minimal-6.3.067-1


Note You need to log in before you can comment on or make changes to this bug.